/******************************************************************************* 
**					login.css | version 1.0 | MailGate						  **
*******************************************************************************/

/* GENERAL
-------------------------------------------------------------------------------*/

* {
    padding: 0;
    margin: 0;
}

html, body {
    height: 100%;
}

html {
    background: url(/icons/ric/images/bground_body.png) no-repeat fixed right bottom #A3AEBA;
}

body {
    font-family: Tahoma,Verdana,Geneva,Arial,Luxi Sans,Helvetica,sans-serif;
    font-size: 8pt;
    margin: 0;
    padding: 0;
}

h1 {
    padding: 5px 0;
}

#container {
    width: 450px;
    position: absolute;
    /*top: 50%;*/
    left: 50%;
    margin-top: 5%;
    margin-left: -225px;
    color: #2B3F52;
}

#top, #banner, #center, #bottom {
    float: left;
}

#top {
    height: 34px;
}

#top .left {
    background: url(/icons/ric/images/login/top-left.png) left top no-repeat;
    height: 34px;
    width: 14px;
    float: left;
}

#top .right {
    background: url(/icons/ric/images/login/top-right.png) right top no-repeat;
    height: 34px;
    width: 14px;
    float: left;
}

#top .inner{
    background: url(/icons/ric/images/login/top-stretch.png) left top no-repeat;
    height: 34px;
    width: 422px;
    float: left;
}

#banner {
    background: url(/icons/ric/images/login/banner.png) left top no-repeat;
    width: 450px;
    height: 80px;
    float: left;
    color: #fff;
    padding-left: 14px;
}

#banner h2 {
    padding-top: 50px;
    font-size: 16px;
}

#center {

}

#center .left {
    background: url(/icons/ric/images/login/body-left.png) left top no-repeat;
    width: 436px;
    float: left;
    padding-left: 14px;
}

#center .right {
    background: url(/icons/ric/images/login/body-right.png) right top no-repeat;
    width: 100%;
    float: left;
}

#center .inner{
    background: url(/icons/ric/images/login/body-stretch.png) left top repeat-x;
    width: 422px;
    float: left;
    padding: 15px 0 0;
}

#center .form-item {
    float: left;
    padding-bottom: 7px;
}

#center .indent {
    padding-left: 150px;
}

#center .text-field {
    width: 200px;
}

#center .inner label,
#center .inner input {
    float: left;
}

#center .inner label {
    width: 150px;
}

#bottom {
    height: 39px;
    float: left;
}

#bottom .left {
    background: url(/icons/ric/images/login/bottom-left.png) left top no-repeat;
    width: 14px;
    float: left;
    height: 39px;
}

#bottom .right {
    background: url(/icons/ric/images/login/bottom-right.png) right top no-repeat;
    width: 14px;
    float: left;
    height: 39px;
}

#bottom .inner{
    background: url(/icons/ric/images/login/bottom-stretch.png) left top repeat-x;
    width: 422px;
    float: left;
    height: 32px;
    line-height: 39px;
    padding-top: 7px;
}

#password-hint-link,
#forgot-password {
    padding-left: 20px;
    display: block;
    height: 20px;
    line-height: 20px;
    background: url(/icons/ric/images/expand-small.png) no-repeat center left;
}

#password-hint-link.collapse,
#forgot-password.collapse {
    background: url(/icons/ric/images/collapse-small.png) no-repeat center left;
}

#forgot-message.message p {
    margin-bottom: 10px;
}

#forgot-message.message label,
#forgot-message.message input {
    float: none;
}

#forgot-message.message label {
    width: 136px;
    display: inline-block;
}

input, select {
    color: #2B3F52;
    border: 1px solid #8C9CAC;
    font-size: 9pt;
    padding: 1px 2px;
    margin-right: 5px;
}

input.checkbox {
    border: 0 none;
}

.button {
    background: url(/icons/ric/images/bgdataheader-nb.gif) #e3e8ee no-repeat -1px top;
    color: #2B3F52;
    width: auto !important;
    border: 1px solid #4F7A97;
    padding: 2px 10px;
    cursor: pointer !important;
    text-align: center;
    text-decoration: none !important;
    font-weight: normal !important;
    margin-right: 5px;
    overflow: visible;
    font-size: 13px;
    height: 17px;
    line-height: 17px;
    text-shadow: 0 1px 0 #E0E8EF;
    -webkit-border-radius: 3px;;
    -moz-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
}

.button:hover {
    border-width: 2px;
    padding: 1px 9px;
    background-position: -1px -1px;
}

a.new-user {
    color: #fff;
    text-decoration: underline;
    font-size: 11px;
    margin-left: 315px;
}

.buttons {
    padding: 10px 0;
}

/* Messages (alert|error|info) 
-------------------------------------------------------------------------------*/
.message {
    background-color: #f2f3f5;
    padding: 10px;
    clear: both;
    display: block;
    margin: 10px 0;
    border: 1px solid #8C9CAC;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    -khtml-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
}

.m-error {
    border-color: #cb0101;
    background: url(/icons/ric/images/icons/error-20.png) no-repeat 5px center #ffeeee;
    padding-left: 33px;
}

.m-warning {
    border-color: #ffcc5f;
    background: url(/icons/ric/images/icons/warning-20.png) no-repeat 5px center #fff7bf;
    padding-left: 33px;
}

.m-success {
    border-color: #aac832;
    background: url(/icons/ric/images/icons/success-20.png) no-repeat 5px center #dde9ad;
    padding-left: 33px;
}

.m-info {
    border: 1px solid #8C9CAC;
    background: url(/icons/ric/images/icons/information-20.png) no-repeat 5px center #fff;
    padding-left: 33px;
}

.hidden {
    visibility: hidden;
    display: none;
}

.invisible {
    visibility: hidden;
}

/* Helper classes
-------------------------------------------------------------------------------*/

.hidden {
    visibility: hidden;
    display: none;
}

.hidden {
    visibility: hidden;
    display: none;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.clear {
    clear: both;
}

.margin-right-0 {
    margin-right: 0;
}

.padding-top-3px {
    padding-top: 3px;
}


/* jQuery UI Fixes & Changes
-------------------------------------------------------------------------------*/

.ui-widget-header {
    background: url(/icons/ric/images/banner-stretch.png) repeat-x top left;
    color: #fff;
    -webkit-border-radius: 3px;;
    -moz-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
}

.ui-widget-header .ui-icon {
    background-image: url(jquery/images/ui-icons_ffffff_256x240.png);
}

.ui-state-hover .ui-icon, .ui-state-focus .ui-icon {
    background-image: url(jquery/images/ui-icons_454545_256x240.png);
}

.ui-dialog-buttonpane .ui-state-default, .ui-widget-header .ui-state-default { 
    background: url(/icons/ric/images/bgdataheader-nb.gif) #e3e8ee no-repeat -1px top;
    width: auto !important;
    border: 1px solid #4F7A97;
    cursor: pointer !important;
    text-align: center;
    text-decoration: none !important;
    font-weight: normal !important;
    margin-right: 5px;
    overflow: visible;
    font-size: 13px;
    height: 22px;
    text-shadow: 0 1px 0 #E0E8EF;
    -webkit-border-radius: 3px;;
    -moz-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
}

.ui-button-text-only .ui-button-text {
    padding: 0 1em;
}

.ui-button .ui-button-text {
    line-height: 17px;
    color: #2B3F52;
}

.ui-button {
    padding: 1px 5px;
}

.ui-button.ui-state-hover {
    border-width: 2px;
    background-position: -1px -1px;
    padding: 0 4px;
}

.ui-dialog .box-wrapper {
    padding-right: 0;
}